#
# spec file for package perl-PerlIO-Layers
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-PerlIO-Layers
Version:        0.012
Release:        1.23
%define cpan_name PerlIO-Layers
Summary:        Querying your filehandle's capabilities
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.280000
BuildRequires:  perl(Test::More) >= 0.82
%{perl_requires}

%description
Perl's filehandles are implemented as a stack of layers, with the
bottom-most usually doing the actual IO and the higher ones doing
buffering, encoding/decoding or transformations. PerlIO::Layers allows you
to query the filehandle's properties concerning these layers.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Tue Feb 18 2020 <timueller+perl@suse.de>
- updated to 0.012
  see /usr/share/doc/packages/perl-PerlIO-Layers/Changes
  0.012     2020-02-18 01:30:34+01:00 Europe/Amsterdam
    Add ppport.h for backwards compatibility
* Mon May 29 2017 coolo@suse.com
- initial package 0.011
  * created by cpanspec 1.78.08
